Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2
Interface Sandesha2Constants

All Known Implementing Classes:
  Identifier

public interface Sandesha2Constants

Contains all the Sandesha2Constants of Sandesha2. Please see sub-interfaces to see grouped data.

Nested Class Summary
`static interface` | `Sandesha2Constants.Assertions`
`static interface` | `Sandesha2Constants.BeanMAPs`
`static interface` | `Sandesha2Constants.DatabaseParams`
`static interface` | `Sandesha2Constants.MessageContextProperties`
`static interface` | `Sandesha2Constants.MessageParts`
`static interface` | `Sandesha2Constants.MessageTypes`
`static interface` | `Sandesha2Constants.Properties`
`static interface` | `Sandesha2Constants.QOS`
`static interface` | `Sandesha2Constants.SOAPFaults`
`static interface` | `Sandesha2Constants.SOAPVersion`
`static interface` | `Sandesha2Constants.SPEC_2005_02`
`static interface` | `Sandesha2Constants.SPEC_2007_02`
`static interface` | `Sandesha2Constants.SPEC_VERSIONS`
`static interface` | `Sandesha2Constants.WSA`
`static interface` | `Sandesha2Constants.WSRM_COMMON`

Field Summary
`static java.lang.String` | `APPLICATION_PROCESSING_DONE`
`static int` | `CLIENT_SLEEP_TIME`
`static java.lang.String` | `CONTEXT_MANAGER`
`static java.lang.String` | `DEFAULT_RM_NAMESPACE`
`static java.lang.String` | `DEFAULT_STORAGE_MANAGER`
`static java.lang.String` | `EXECUTIN_CHAIN_SEPERATOR`
`static java.lang.String` | `GLOBAL_IN_HANDLER_NAME`
`static java.lang.String` | `IN_HANDLER_NAME`
`static java.lang.String` | `INMEMORY_STORAGE_MANAGER`
`static java.lang.String` | `INTERNAL_SEQUENCE_PREFIX`
`static int` | `INVOKER_SLEEP_TIME`
`static java.lang.String` | `LANG_EN`
`static java.lang.String` | `LIST_SEPERATOR`
`static java.lang.String` | `MAKE_CONNECTION_RESPONSE`
`static java.lang.String` | `MESSAGE_STORE_KEY`
`static java.lang.String` | `MESSAGE_TYPE`
`static java.lang.String` | `MODULE_CLASS_LOADER`
`static java.lang.String` | `MODULE_NAME`
`static java.lang.String` | `MSG_NO_OF_IN_MSG`
`static java.lang.String` | `ORIGINAL_TRANSPORT_OUT_DESC`
`static java.lang.String` | `OUT_HANDLER_NAME`
`static java.lang.String` | `OUT_LAST_MESSAGE`
`static java.lang.String` | `PERMANENT_STORAGE_MANAGER`
`static java.lang.String` | `POLLING_MANAGER`
`static java.lang.String` | `POST_FAILURE_MESSAGE`
`static java.lang.String` | `propertiesToCopyFromReferenceMessage`
`static java.lang.String` | `propertiesToCopyFromReferenceRequestMessage`
`static java.lang.String` | `PROPERTY_FILE`
`static java.lang.String` | `QUALIFIED_FOR_SENDING`
`static java.lang.String` | `RETRANSMITTABLE_PHASES`
`static javax.xml.namespace.QName` | `RM_DUPLICATE_IN_ONLY_OPERATION`
`static javax.xml.namespace.QName` | `RM_DUPLICATE_IN_OUT_OPERATION`
`static javax.xml.namespace.QName` | `RM_IN_ONLY_OPERATION`
`static javax.xml.namespace.QName` | `RM_IN_OUT_OPERATION`
`static javax.xml.namespace.QName` | `RM_OUT_IN_OPERATION`
`static javax.xml.namespace.QName` | `RM_OUT_ONLY_OPERATION`
`static java.lang.String` | `SANDESHA_OP_PREFIX`
`static java.lang.String` | `SANDESHA_PROPERTY_BEAN`
`static java.lang.String` | `SECURITY_MANAGER`
`static int` | `SENDER_SLEEP_TIME`
`static java.lang.String` | `SERVICE_CONTAINS_OUT_IN_MEPS`
`static java.lang.String` | `SET_SEND_TO_TRUE`
`static java.lang.String[]` | `SPEC_NS_URIS`
`static java.lang.String` | `STORAGE_MANAGER_PARAMETER`
`static java.lang.String` | `TEMP_SEQUENCE_ID`
`static int` | `TERMINATE_DELAY`
`static int` | `TRANSPORT_WAIT_TIME`
`static java.lang.String` | `VALUE_EMPTY`
`static java.lang.String` | `VALUE_FALSE`
`static java.lang.String` | `VALUE_NONE`
`static java.lang.String` | `VALUE_TRUE`

Field Detail

### MODULE_NAME

    public static final java.lang.String MODULE_NAME

See Also:
  Constant Field Values

### IN_HANDLER_NAME

    public static final java.lang.String IN_HANDLER_NAME

See Also:
  Constant Field Values

### OUT_HANDLER_NAME

    public static final java.lang.String OUT_HANDLER_NAME

See Also:
  Constant Field Values

### GLOBAL_IN_HANDLER_NAME

    public static final java.lang.String GLOBAL_IN_HANDLER_NAME

See Also:
  Constant Field Values

### APPLICATION_PROCESSING_DONE

    public static final java.lang.String APPLICATION_PROCESSING_DONE

See Also:
  Constant Field Values

### INVOKER_SLEEP_TIME

    public static final int INVOKER_SLEEP_TIME

See Also:
  Constant Field Values

### SENDER_SLEEP_TIME

    public static final int SENDER_SLEEP_TIME

See Also:
  Constant Field Values

### CLIENT_SLEEP_TIME

    public static final int CLIENT_SLEEP_TIME

See Also:
  Constant Field Values

### TERMINATE_DELAY

    public static final int TERMINATE_DELAY

See Also:
  Constant Field Values

### TRANSPORT_WAIT_TIME

    public static final int TRANSPORT_WAIT_TIME

See Also:
  Constant Field Values

### TEMP_SEQUENCE_ID

    public static final java.lang.String TEMP_SEQUENCE_ID

See Also:
  Constant Field Values

### PROPERTY_FILE

    public static final java.lang.String PROPERTY_FILE

See Also:
  Constant Field Values

### VALUE_NONE

    public static final java.lang.String VALUE_NONE

See Also:
  Constant Field Values

### VALUE_EMPTY

    public static final java.lang.String VALUE_EMPTY

See Also:
  Constant Field Values

### VALUE_TRUE

    public static final java.lang.String VALUE_TRUE

See Also:
  Constant Field Values

### VALUE_FALSE

    public static final java.lang.String VALUE_FALSE

See Also:
  Constant Field Values

### MESSAGE_STORE_KEY

    public static final java.lang.String MESSAGE_STORE_KEY

See Also:
  Constant Field Values

### ORIGINAL_TRANSPORT_OUT_DESC

    public static final java.lang.String ORIGINAL_TRANSPORT_OUT_DESC

See Also:
  Constant Field Values

### SET_SEND_TO_TRUE

    public static final java.lang.String SET_SEND_TO_TRUE

See Also:
  Constant Field Values

### MESSAGE_TYPE

    public static final java.lang.String MESSAGE_TYPE

See Also:
  Constant Field Values

### QUALIFIED_FOR_SENDING

    public static final java.lang.String QUALIFIED_FOR_SENDING

See Also:
  Constant Field Values

### EXECUTIN_CHAIN_SEPERATOR

    public static final java.lang.String EXECUTIN_CHAIN_SEPERATOR

See Also:
  Constant Field Values

### INTERNAL_SEQUENCE_PREFIX

    public static final java.lang.String INTERNAL_SEQUENCE_PREFIX

See Also:
  Constant Field Values

### SANDESHA_PROPERTY_BEAN

    public static final java.lang.String SANDESHA_PROPERTY_BEAN

See Also:
  Constant Field Values

### LIST_SEPERATOR

    public static final java.lang.String LIST_SEPERATOR

See Also:
  Constant Field Values

### INMEMORY_STORAGE_MANAGER

    public static final java.lang.String INMEMORY_STORAGE_MANAGER

See Also:
  Constant Field Values

### PERMANENT_STORAGE_MANAGER

    public static final java.lang.String PERMANENT_STORAGE_MANAGER

See Also:
  Constant Field Values

### DEFAULT_STORAGE_MANAGER

    public static final java.lang.String DEFAULT_STORAGE_MANAGER

See Also:
  Constant Field Values

### POLLING_MANAGER

    public static final java.lang.String POLLING_MANAGER

See Also:
  Constant Field Values

### STORAGE_MANAGER_PARAMETER

    public static final java.lang.String STORAGE_MANAGER_PARAMETER

See Also:
  Constant Field Values

### POST_FAILURE_MESSAGE

    public static final java.lang.String POST_FAILURE_MESSAGE

See Also:
  Constant Field Values

### MODULE_CLASS_LOADER

    public static final java.lang.String MODULE_CLASS_LOADER

See Also:
  Constant Field Values

### SECURITY_MANAGER

    public static final java.lang.String SECURITY_MANAGER

See Also:
  Constant Field Values

### CONTEXT_MANAGER

    public static final java.lang.String CONTEXT_MANAGER

See Also:
  Constant Field Values

### RETRANSMITTABLE_PHASES

    public static final java.lang.String RETRANSMITTABLE_PHASES

See Also:
  Constant Field Values

### propertiesToCopyFromReferenceMessage

    public static final java.lang.String propertiesToCopyFromReferenceMessage

See Also:
  Constant Field Values

### propertiesToCopyFromReferenceRequestMessage

    public static final java.lang.String propertiesToCopyFromReferenceRequestMessage

See Also:
  Constant Field Values

### MSG_NO_OF_IN_MSG

    public static final java.lang.String MSG_NO_OF_IN_MSG

See Also:
  Constant Field Values

### MAKE_CONNECTION_RESPONSE

    public static final java.lang.String MAKE_CONNECTION_RESPONSE

See Also:
  Constant Field Values

### SERVICE_CONTAINS_OUT_IN_MEPS

    public static final java.lang.String SERVICE_CONTAINS_OUT_IN_MEPS

See Also:
  Constant Field Values

### SANDESHA_OP_PREFIX

    public static final java.lang.String SANDESHA_OP_PREFIX

See Also:
  Constant Field Values

### RM_OUT_IN_OPERATION

    public static final javax.xml.namespace.QName RM_OUT_IN_OPERATION

### RM_OUT_ONLY_OPERATION

    public static final javax.xml.namespace.QName RM_OUT_ONLY_OPERATION

### RM_DUPLICATE_IN_ONLY_OPERATION

    public static final javax.xml.namespace.QName RM_DUPLICATE_IN_ONLY_OPERATION

### RM_DUPLICATE_IN_OUT_OPERATION

    public static final javax.xml.namespace.QName RM_DUPLICATE_IN_OUT_OPERATION

### RM_IN_OUT_OPERATION

    public static final javax.xml.namespace.QName RM_IN_OUT_OPERATION

### RM_IN_ONLY_OPERATION

    public static final javax.xml.namespace.QName RM_IN_ONLY_OPERATION

### DEFAULT_RM_NAMESPACE

    public static final java.lang.String DEFAULT_RM_NAMESPACE

See Also:
  Constant Field Values

### OUT_LAST_MESSAGE

    public static final java.lang.String OUT_LAST_MESSAGE

See Also:
  Constant Field Values

### SPEC_NS_URIS

    public static final java.lang.String[] SPEC_NS_URIS

### LANG_EN

    public static final java.lang.String LANG_EN

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.